broadcast

## Class BPSTransmitter

- java.lang.Object
- - broadcast.BPSTransmitter

- All Implemented Interfaces:
    PacketSender

      public class BPSTransmitter
      extends java.lang.Object
      implements PacketSender

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `PACKET_MAX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BPSTransmitter()`
    `BPSTransmitter(int bsportbase)`
    `BPSTransmitter(int sndrport, int rcvrport)`
    `BPSTransmitter(int sndrport, int rcvrport, java.net.InetAddress rcvrhost)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `kill()`
    `void` | `sendPacket(java.lang.String pkt)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PACKET_MAX

          public static final int PACKET_MAX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BPSTransmitter

          public BPSTransmitter(int sndrport,
                                int rcvrport,
                                java.net.InetAddress rcvrhost)
                         throws java.net.UnknownHostException,
                                java.net.SocketException

      Throws:
        `java.net.UnknownHostException`
        `java.net.SocketException`

    - #### BPSTransmitter

          public BPSTransmitter(int sndrport,
                                int rcvrport)
                         throws java.net.UnknownHostException,
                                java.net.SocketException

      Throws:
        `java.net.UnknownHostException`
        `java.net.SocketException`

    - #### BPSTransmitter

          public BPSTransmitter(int bsportbase)
                         throws java.net.UnknownHostException,
                                java.net.SocketException

      Throws:
        `java.net.UnknownHostException`
        `java.net.SocketException`

    - #### BPSTransmitter

          public BPSTransmitter()
                         throws java.net.UnknownHostException,
                                java.net.SocketException

      Throws:
        `java.net.UnknownHostException`
        `java.net.SocketException`

  - ### Method Detail

    - #### kill

          public void kill()

      Specified by:
        `kill` in interface `PacketSender`

    - #### sendPacket

          public void sendPacket(java.lang.String pkt)
                          throws PacketSendException

      Specified by:
        `sendPacket` in interface `PacketSender`
      Throws:
        `PacketSendException`